Skip to main content
GET
List agentic workflow runs

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

agenticWorkflowId
string<uuid>
required

Query Parameters

page
integer
default:1

Page number, starting at 1. Increment this value to retrieve subsequent pages of run history, keeping pageSize unchanged.

Required range: x >= 1
pageSize
integer
default:20

The number of runs to return in the current page. Must be between 1 and 100.

Required range: 1 <= x <= 100

Response

List run history

page
number
required
Example:

1

page_size
number
required
Example:

20

results
object[]